/*----------------------------------------------------------*/
/*	Copyright (C) Siemens AG (1998). All Rights Reserved	*/
/*	Product:		SIMATIC PDM								*/
/*															*/
/*	Description:	Device Description Help Menu			*/
/*	Dictionary:		SI_HlpM.inc							    */
/*															*/
/*  $Revision:   1.2  $									*/
/*  $Date:   Nov 26 1999 10:36:40  $						*/
/*----------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*    MENU: Help													   */
/*---------------------------------------------------------------------*/

MENU Menu_Help
{
	LABEL		[menu_Help];
	ITEMS
	{
			std_Hilfethemen,
			std_HilfeKontext,
			SEPARATOR,
			std_HilfeGeraet,
#ifdef DEVICE_MANUAL_FILENAME
			methodOpenDeviceManual,
#endif

#ifdef DEVICE_MANUAL_FILENAME_1
			methodOpenDeviceManual_1,
#endif
			method_dd_rev,

#ifdef DEVICE_DATASHEET_FILENAME
			methodOpenDeviceDatasheet,
#endif
//			SEPARATOR,
//			std_HilfeEinfuehrung,
//			std_HilfeErsteSchritte,
			SEPARATOR,
			std_Hilfebenutzen,
			std_Info
	}
}

METHOD method_dd_rev
{
	LABEL		"ND800PA DD revision";
	ACCESS OFFLINE;
	DEFINITION
	{
		PUT_MESSAGE(ND800PA_DD_REV);
	}
}


#ifdef DEVICE_MANUAL_FILENAME
METHOD methodOpenDeviceManual
{
	LABEL [menu_DeviceManual] ;
	ACCESS OFFLINE ;
	DEFINITION
	{
		ShellExecute(DEVICE_MANUAL_FILENAME) ;
	}
}
#endif

#ifdef DEVICE_MANUAL_FILENAME_1
METHOD methodOpenDeviceManual_1
{
	LABEL [menu_DeviceManual_1] ;
	ACCESS OFFLINE ;
	DEFINITION
	{
		ShellExecute(DEVICE_MANUAL_FILENAME_1) ;
	}
}
#endif

#ifdef DEVICE_DATASHEET_FILENAME
METHOD methodOpenDeviceDatasheet
{
	LABEL [menu_DeviceDatasheet] ;
	ACCESS OFFLINE ;
	DEFINITION
	{
		ShellExecute(DEVICE_DATASHEET_FILENAME) ;
	}
}
#endif


METHOD std_HilfeGeraet
{
	LABEL		[menu_Help_Device];
	DEFINITION
	{
	}
}

METHOD std_Hilfethemen
{
	LABEL		[menu_Help_Topics];
	DEFINITION
	{
	}
}

METHOD std_HilfeKontext
{
	LABEL		[menu_Help_Context];
	DEFINITION
	{
	}
}

METHOD std_HilfeEinfuehrung
{
	LABEL		[menu_Help_Introduction];
	DEFINITION
	{
	}
}

METHOD std_HilfeErsteSchritte
{
	LABEL		[menu_Help_First_Steps];
	DEFINITION
	{
	}
}

METHOD std_Hilfebenutzen
{
	LABEL		[menu_Help_Using];
	DEFINITION
	{
	}
}

METHOD std_Info
{
	LABEL		[menu_Help_Info];
	DEFINITION
	{
	}
}

